| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/imageloader/commonimagefile.h File Reference

Base classes for image loaders. More...

`#include "csextern.h"`
`#include "csgfx/imagememory.h"`
`#include "csutil/ref.h"`
`#include "csutil/scf_interface.h"`
`#include "csutil/scf_implementation.h"`
`#include "iutil/databuff.h"`
`#include "iutil/job.h"`

Go to the source code of this file.

## Classes
class | csCommonImageFile
| A base class for image loader plugin iImage implementations. More...
class | csCommonImageFile::LoaderJob
class | csCommonImageFileLoader
| Base image loader implementation. More...
struct | iImageFileLoader
| An image file loader. More...
## Defines
#define | THREADED_LOADING
## Enumerations
enum | csLoaderDataType { rdtInvalid, rdtR8G8B8, rdtRGBpixel, rdtIndexed }
| The data type a loader provides. More...

## Detailed Description

Base classes for image loaders.

Definition in file commonimagefile.h.